Name:           python3-cppyy-cling
Version:        6.21.6
Release:        3%{?dist}
Summary:        A modified cling/llvm compiler

License:        LGPL
URL:            https://pypi.org/project/cppyy-cling/
Source0:        cppyy-cling-%{version}.tar.gz

BuildRequires:  python3-devel python3-wheel gcc-c++ cmake python3-setuptools

%description
A backend compiler for cppyy

%prep
%autosetup -n cppyy-cling-%{version}
sed -i 's^! /usr/bin/env python^!/usr/bin/python3^' src/etc/dictpch/makepch.py

%build
#LLVM_LIBDIR_SUFFIX=64
# set EXTRA_CLING_ARGS to -O2, otherwise __AVX__ is defined and older CPUs are unsupported
# https://bitbucket.org/wlav/cppyy/issues/331/userwarning-precompiled-header-may-be-out
EXTRA_CLING_ARGS='-O2' CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
# FIXME this should really be {python3_sitearch} for all cppyy packages
%{python3_sitelib}/*
%{_bindir}/cppyy-generator
# FIXME these conflict with files in fedora root-cling package
%{_bindir}/cling-config
%{_bindir}/genreflex
%{_bindir}/rootcling

%changelog
* Tue Aug 03 2021 Bruno Postle <bruno@postle.net> - 6.21.6-3
- f35 requires python3-setuptools

* Mon Mar 22 2021 Bruno Postle <bruno@postle.net> - 6.21.6-2
- Disable AVX CPU features

* Fri Mar 19 2021 Bruno Postle <bruno@postle.net> - 6.21.6-1
- upstream release

* Fri Jan 08 2021 Bruno Postle <bruno@postle.net>
- 
